8 Replies Latest reply: Feb 16, 2013 8:59 AM by Samanthafrommid Branched to a new discussion.
juvehag Level 1 Level 1

what steps must i take to get the new itunes for my iphone 5?

I have an imac os x version 10.5.8.


iPhone 5
  • Limnos Level 9 Level 9

    Upgrade your system to at least OSX 10.6.8 so you can download the newest iTunes 10.7.  You have to buy 10.6.8 from Apple by phone:

     

    Kappy 08/2012 post on upgrading to Snow Leopard, then Lion or Mountain Lion -  https://discussions.apple.com/message/19401628 - including how to get Snow Leopard and Lion since Apple removed them from the online store. 

     

    The above is assuming you are using an Intel Mac and can even upgrade to 10.6.8  You don't provide any information about your computer.  Get more information about your computer. Go to the Apple in the upper left corner of any window, then  "About This Mac".  Write down what it says about "version"and report that here.  Now continue to "More Info..."  Copy and paste the information here, but omit the serial number and Hardware UUID (if present).

  • acd5 Level 1 Level 1

    I have to upgrade to 10.6.8 as well because I just bought the iphone 5. It is ridiculous that I have to pay to upgrade my software on my iMac to be able to upgrade iTunes. I'm very disappointed with Apple - I will definitely think twice about buying Apple products going forward. This could be the last Apple product I purchase.

  • Klaus1 Level 8 Level 8

    So it's Apple's fault that you have failed to upgrade your operating system for five years?

  • Mclovin87 Level 1 Level 1

    the system does not show any available upgrades to software past 10.5.8. i check on a weekly basis. i just bought an iphone 5, and its giving me the same "window" that my mac needs new itunes update for this phone. So tone down the arrogance Ms. Klaus1, the kid has a valid point...

  • Klaus1 Level 8 Level 8

    Lose the attitude, and be sure of your facts. System Update does not show upgrades. There is no update to Leopard beyond 10.5.8. Snow Leopard 10.6.8 is a paid upgrade.

  • sjwright2010 Level 1 Level 1

    Update/upgrade, i let my software update automatically, it still prompts me to install in but it downlaods automatically, i too have this issue of version 10.5.8 being my current version and needing 10.6 to utalise my iphone 5! As itunes 11 will only work on 10.6 +, what happens if your a pc user and buy an iphone 5? I bet you dont have to downlaod or buy leopard 10.6!!!!

  • sazumendi Level 1 Level 1

    Same issue here,

    Let's assume I upgrade to 10.6.8, can I use this new version for both Iphone 4 and 5 or it just works for the 5 only?

  • Samanthafrommid Level 1 Level 1

    Alright, a couple things here.

    Mac OS X 10.6.8 is available over the phone. Just call into apple care and they can help you out with upgrading your system and answer any questions you have. The link for to find that phone number is at the bottom of this page and says Contact Us.

     

    As far as for what sazumendi said, it will work with the iphone 4 and iphone 5 just fine, there shouldn't be any problems with that.

     

    And lastly, if you take a look at the box and information that came with the iphone 5, it says that the system requirements for mac are version 10.6 or later. It's frustrating, I know, but as a general rule, it's a good idea to look at the system requirements for ANY piece of technology or software you're thinking about getting so you don't encounter any unwanted surprises.